# Tests

## unicode_data/

This directory contains two files with unicode data. One is in Java format, the other is normal UTF-8.


## check_endianness.cpp

A simple tool to determine the endianness of the system and write the endianness header for FOSS-VG

Supports: Little Endian, Big Endian, PDP Endian, Honeywell Endian

Note that, while it can detect PDP and Honeywell endianness, the FOSS-VG project itself does not support these.

Usage example: `check_endianness > header_file`


## JavaStringGenerator.java

A simple tool written in Java that takes an input as UTF-8 and outputs it in Java-style UTF-8.

Usage example: `echo -ne "\x00" | java JavaStringGenerator > output_file`


## servers.dat

My current servers.dat as pulled from my Minecraft installation. Used for testing the NBT library until we have something better.


## servers.dat_nbt_decoded.txt

The same file manually decoded. I did this to get a better understanding how NBT works, might come in handy in the future.
